@keyframes retractable-text {
    0%{
        max-width: 30ch;
    }
    50%{
        max-width: 25ch;
    }
    100%{
        max-width: 20ch;
    }
}
@keyframes retractable-title {
    0%{
        max-width: 30ch;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    50%{
        max-width: 28ch;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
    100%{
        max-width: 26ch;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
}
@keyframes loader {
    0%{
        opacity: 1;
    }
    99%{
        opacity: 0;
        transform: scale(1);
    }
    100%{
        transform: scale(0);
    }
}
@keyframes open-loader {
    0%{
        transform: scale(0);
        
    }
    99%{
    transform: scale(40);
    opacity: 1;
    }
    100%{
        opacity: 0;
    }
    
}
@keyframes loader-title {
    0%{
        transform: scale(1);
    }
    10%{
        transform: scale(0.8);
        
    }
    100%{
        transform: scale(1);
        
    }
}
@keyframes anim_restaurant{
    0%{
        transform: translateY(500px);
        opacity: 0;
    }
    95%{
        transform: translateY(0);
        opacity: 0.4;
    }
    100%{
        opacity: 1;
    }
}
@keyframes anim_body_restaurant {
    0%{
        margin-top: 45px;
    }
    100%{
        margin-top: 250px;
    }
}
@keyframes cookie-loader{
    0%{
        opacity: 1;
        transform:scale(0.9);
    }
    90%{
        transform:scale(1);
        
    }
    99%{
        opacity: 1;
    }
    100%{
        opacity: 0;
        transform:scale(0.9);
    }
}
@keyframes bouncing-loader {
    0%{
        transform: rotate(0deg);
        transform: scale(0);
    }
    15%{
        transform: scale(1);
        transform:scale(0.9);
    }
    20%{
        transform: rotate(3deg);
        transform:scale(0.9);
    }
    25%{
        transform: rotate(3deg);
        transform:scale(0.9);
    }
    28%{
        transform: rotate(3deg);
        transform:scale(0.9);
    }
    45%{
        transform: rotate(-3deg);
    }
    50%{
        transform: rotate(-3deg);
    }
    70%{
        transform: rotate(6deg);
    }
    75%{
        transform: rotate(6deg);
    }
    100%{
        transform: rotate(0);
    }
}
